be.fgov.ehealth.commons.enc.v2

## Class CipherReference

- java.lang.Object
- - be.fgov.ehealth.commons.enc.v2.CipherReference

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:38:50+01:00",
                 comments="JAXB RI v2.3.7")
      public class CipherReference
      extends Object
      implements Serializable

  Contains the referenceType to use SOAP With Attachments for chipered data

  Java class for CipherReferenceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CipherReferenceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:fgov:ehealth:commons:enc:v2}URI"/>
               <element ref="{urn:be:fgov:ehealth:commons:enc:v2}Digest"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherReference()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Digest` | `getDigest()` Contains the digest value of the attachment
    `DataHandler` | `getURI()` URI of the attachment
    `void` | `setDigest(Digest value)` Sets the value of the digest property.
    `void` | `setURI(DataHandler value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherReference

          public CipherReference()

  - ### Method Detail

    - #### getURI

          public DataHandler getURI()

      URI of the attachment
      Returns:
        possible object is `String`

    - #### setURI

          public void setURI(DataHandler value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDigest

          public Digest getDigest()

      Contains the digest value of the attachment
      Returns:
        possible object is `Digest`

    - #### setDigest

          public void setDigest(Digest value)

      Sets the value of the digest property.
      Parameters:
        `value` - allowed object is `Digest`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.